<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hssx.pcbms.mapper.TaskExamineMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hssx.pcbms.entity.TaskExamine">
        <id column="id" property="id" />
        <result column="publisher_id" property="publisherId" />
        <result column="publisher" property="publisher" />
        <result column="publish_content" property="publishContent" />
        <result column="responder" property="responder" />
        <result column="responder_id" property="responderId" />
        <result column="respond_content" property="respondContent" />
        <result column="publish_date" property="publishDate" />
        <result column="respond_date" property="respondDate" />
        <result column="is_pass" property="isPass" />
        <result column="score" property="score" />
        <result column="task_id" property="taskId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, publisher_id, publisher, publish_content, responder, responder_id, respond_content, publish_date, respond_date, is_pass, score, task_id
    </sql>

</mapper>
